#include <stdio.h>
#include <stdint.h>
#include <stdlib.h>

#include <wiringPi.h>
#include <wiringPiSPI.h>

#include "button_modul.h"

#define	RRR_SPEED	250000

uint8_t bm_transmit(uint16_t value){
  uint8_t spiData[3];

  spiData[0] = (uint8_t) (value >> 8);
  spiData[1] = (uint8_t) value;

  wiringPiSPIDataRW (1, spiData, 2);

  return spiData[1];
}

void bm_init(void){
  wiringPiSPISetup (1, RRR_SPEED);
}

int main(int argc, char *argv[]){
  uint16_t value = 0x0000;

  if(argc >= 2){
    value = (uint16_t)strtol(argv[1], NULL, 0);
  }

  bm_init();
  
  uint8_t received = bm_transmit(value);
  printf ("%u \n", received);

  return 0;
}