#include <stdio.h>
#include <wiringPi.h>
#include <wiringPiSPI.h>

#include "fader.h"

static int map(int input_start, int input_end, int input, int output_start, int output_end){
  double slope = 1.0 * (output_end - output_start) / (input_end - input_start);
  int output = output_start + slope * (input - input_start);
  return output;
}

int f_read ()
{
  unsigned char spiData [2] ;
  unsigned char chanBits = 0b10000000 ;

  spiData [0] = chanBits ;
  spiData [1] = 0 ;

  wiringPiSPIDataRW (0, spiData, 2) ;

  return ((spiData [0] << 7) | (spiData [1] >> 1)) & 0x3FF ;
}

void f_init(void){
  wiringPiSPISetup (0, 500000);
}

int main(){
  int value;

  f_init();
  int min = -1;
  int max = -1;


  while(1){
    value = f_read();
    //value = map(0,0x3FF,value,0,100);

    if(min==-1 || value<min)
      min = value;
    if(value > max){
      max = value;
    }
    printf("Min: %u Max:%u Value: %u\n", min,max,value);

  }

  return 0;
}